Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression.operator
Class Instanceof

    java.lang.Object
      |
      +--com.bea.p13n.expression.internal.ComplexExpressionImpl
            |
            +--com.bea.p13n.expression.operator.Operator
                  |
                  +--com.bea.p13n.expression.operator.Instanceof

public final class Instanceof
extends Operator
implements BinaryOperator

Implementation of the Instanceof operator. Returns a Boolean if the Object parameter (which can be an expression) is an instance of a class type.
Input 1: An object or Expression returning an object.
Input 2: A Class or an Expression returning a Class
Returns: A Boolean that is the result of testing the object against the Class.

See Also:
  Serialized Form

Constructor Summary
`Instanceof()` Constructs an empty operator and operands can be added later by calling addSubExpression() on this.
`Instanceof(java.lang.Object obj, java.lang.Class clazz)` Constructs this by associating the given parameters as operands.

Method Summary
`java.lang.Object` | `getLeftHandSide()`
`java.lang.Class[]` | `getParameterSignature()`
`java.lang.Object` | `getRightHandSide()`
`java.lang.Object` | `getTargetClass()` Returns Class operand of this operator.
`java.lang.Object` | `getTargetObject()` Returns Object operand of this operator.

Methods inherited from class com.bea.p13n.expression.operator.Operator
`leftHandSide, operand, rightHandSide`

Methods inherited from class com.bea.p13n.expression.internal.ComplexExpressionImpl
`addListener, addSubExpression, clearCache, clone, createProxyExpression, equals, getCachedValue, getParent, getSource, getSubExpression, getSubExpressionCount, getUserData, hashCode, isCached, isCacheEnabled, isEqualitySubExpression, notifyListeners, removeAllSubExpressions, removeListener, removeSubExpression, removeSubExpression, setCachedValue, setCacheEnabled, setParent, setSource, setSubExpression, setUserData, toString, write`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Instanceof

    public Instanceof()

  Constructs an empty operator and operands can be added later by calling addSubExpression() on this.

### Instanceof

    public Instanceof(java.lang.Object obj,
                      java.lang.Class clazz)

  Constructs this by associating the given parameters as operands.

  Parameters:
    `obj` - An Object or Expression returning an object.
    `clazz` - A Class or an Expression returning a Class.

Method Detail

### getTargetObject

    public java.lang.Object getTargetObject()

  Returns Object operand of this operator.

  Returns:
    Object An `Object` or `Expression` that is used as an Object operand of this.

### getTargetClass

    public java.lang.Object getTargetClass()

  Returns Class operand of this operator.

  Returns:
    Object representing a `Class` operand of this.

### getParameterSignature

    public java.lang.Class[] getParameterSignature()

  Overrides:
    getParameterSignature in class com.bea.p13n.expression.internal.ComplexExpressionImpl

### getLeftHandSide

    public java.lang.Object getLeftHandSide()

  Specified by:
    getLeftHandSide in interface BinaryOperator

### getRightHandSide

    public java.lang.Object getRightHandSide()

  Specified by:
    getRightHandSide in interface BinaryOperator

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved